Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Light is joining Helius. Read the announcement.
Retrieve the slot of the last block indexed by the indexer. Overview with RPC method guide.
cURL
curl --request POST \ --url https://devnet.helius-rpc.com/getIndexerSlot \ --header 'Content-Type: application/json' \ --data ' { "id": "test-account", "jsonrpc": "2.0", "method": "getIndexerSlot" } '
const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: JSON.stringify({id: 'test-account', jsonrpc: '2.0', method: 'getIndexerSlot'}) }; fetch('https://devnet.helius-rpc.com/getIndexerSlot', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://devnet.helius-rpc.com/getIndexerSlot" payload = { "id": "test-account", "jsonrpc": "2.0", "method": "getIndexerSlot" } headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.text)
{ "id": "test-account", "jsonrpc": "2.0", "error": { "code": 123, "message": "<string>" }, "result": 100 }
{ "error": { "code": 123, "message": "<string>" }, "id": "<string>", "jsonrpc": "<string>" }
An ID to identify the request.
test-account
The version of the JSON-RPC protocol.
2.0
The name of the method to invoke.
getIndexerSlot
An ID to identify the response.
Show child attributes
100
Was this page helpful?